%define upstream_name    Dancer2
%define upstream_version 0.166001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Template Toolkit reimplemented in as little code as possible, forked from Template::Tiny
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Capture::Tiny) >= 0.120.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(FindBin)
BuildRequires: perl(Foo)
BuildRequires: perl(HTTP::Body)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Headers::Fast)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::PSGI)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::PSGI) >= 0.60.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64) >= 3.130.0
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike) >= 0.160.0
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(POSIX)
BuildRequires: perl(Plack) >= 1.1.600
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware::FixMissingBodyInRedirect)
BuildRequires: perl(Plack::Middleware::RemoveRedundantBody)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Pod::Simple::Search)
BuildRequires: perl(Pod::Simple::SimpleTree)
BuildRequires: perl(Return::MultiLevel)
BuildRequires: perl(Role::Tiny) >= 1.3.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Tiny)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::Script)
BuildRequires: perl(Test::TCP) >= 1.130.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the main module for the Dancer2 distribution. It contains logic for
creating a new Dancer2 application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml
%{_bindir}/dancer2
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.166.1-2.mga6
+ Revision: 1024781
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.166.1-1.mga6
+ Revision: 1001789
- New version 0.166001

* Fri Feb 19 2016 umeabot <umeabot> 0.162.0-2.mga6
+ Revision: 969630
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.162.0-1.mga6
+ Revision: 873452
- update to 0.162000

* Wed Jul 08 2015 sander85 <sander85> 0.161.0-1.mga6
+ Revision: 852855
- update to 0.161000

* Sun Jul 05 2015 sander85 <sander85> 0.160.3-1.mga6
+ Revision: 851114
- update to 0.160003

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 746422
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 684179
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 664783
- update to 0.150000

* Mon Jul 07 2014 sander85 <sander85> 0.143.0-1.mga5
+ Revision: 650418
- update to 0.143000

* Thu Jun 26 2014 jquelin <jquelin> 0.142.0-1.mga5
+ Revision: 639959
- update to 0.142000

* Tue Jun 10 2014 sander85 <sander85> 0.141.0-1.mga5
+ Revision: 635456
- update to 0.141000

* Tue May 06 2014 jquelin <jquelin> 0.140.1-1.mga5
+ Revision: 620526
- update to 0.140001

* Tue Apr 15 2014 jquelin <jquelin> 0.130.0-1.mga5
+ Revision: 614696
- update to 0.13

* Sat Feb 08 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 586510
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 534006
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.90.0-1.mga4
+ Revision: 476000
- update to 0.09

* Mon Aug 19 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 467809
- update to 0.08

* Sun Aug 04 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 463522
- update to 0.07

* Wed Jul 31 2013 sander85 <sander85> 0.60.0-1.mga4
+ Revision: 461448
- update to 0.06

* Mon Jul 22 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 457083
- update to 0.05

* Thu Mar 28 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 406000
- imported package perl-Dancer2


* Thu Mar 28 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
